Bug 208086 - "Trash" panel icon undersized
"Trash" panel icon undersized
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-09-26 07:41 EDT by Joachim Frieben
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-17 23:42:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
"Trash" panel icon for "gnome-applets-" (4.60 KB, image/png)
2006-09-26 07:43 EDT, Joachim Frieben
no flags Details
"Trash" panel icon for "gnome-applets-" (5.21 KB, image/png)
2006-09-26 07:44 EDT, Joachim Frieben
no flags Details
FC5 desktop screenshot (313.12 KB, image/png)
2006-10-14 07:55 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2006-09-26 07:41:55 EDT
Description of problem:
Compared to previous versions, the "Trash" panel icon is smaller, in
fact it is now too small.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Login to "GNOME" session.
2. Choose "Bluecurve" theme.
Actual results:
"Bluecurve" panel icon is used for the trash, but it's too small.

Expected results:
"Bluecurve" panel icon should make reasonable use the available
panel real estate.

Additional info:
- The right icon size used to be used prior to this version.
- There is a corresponding entry in the changelog:

  "* Sat Sep 16 2006 Matthias Clasen <mclasen@redhat.com> - 1:"
  "- Fix some icon size issues in the trash applet".
- Screenshots of the "Trash" panel icon for the current version
  "" and for version "" (mockup) are attached.
Comment 1 Joachim Frieben 2006-09-26 07:43:12 EDT
Created attachment 137128 [details]
"Trash" panel icon for "gnome-applets-"
Comment 2 Joachim Frieben 2006-09-26 07:44:05 EDT
Created attachment 137129 [details]
"Trash" panel icon for "gnome-applets-"
Comment 3 Matthias Clasen 2006-09-26 10:15:02 EDT
It is smaller, sure. How do you come to the conclusion that it is "too small" ?
Comment 4 Joachim Frieben 2006-09-26 13:07:48 EDT
It clearly looks more fuzzy than before which is not surprising given
the small absolute number of pixels used in each dimension. 24 pixels
are already damn few, and going even below that .. At that scale,
every single pixels counts!
Moreover, the proportion between the surrounding grey area and the icon
area is certainly less than 1 which is visually unpleasant.
Of course this is not an object of rigorous scientific consideration,
but I for myself did notice the change immediately; as a matter of
fact even before browsing the daily "rawhide" report.
Btw, the desktop icon on the left looks smaller smaller too, .. grr!
Comment 5 Joachim Frieben 2006-09-26 13:13:17 EDT
Err, I meant to write: ".., the proportion between the surrounding
grey area and the icon area is certainly -greater- than 1 .."
Comment 6 Joachim Frieben 2006-10-14 07:55:45 EDT
Created attachment 138500 [details]
FC5 desktop screenshot

Here, for comparison a screenshot of a standard "FC5" desktop. In
particular, "Trash" and "Speaker" icons are noticeably larger, and
moreover, in contrast with current "rawhide", their size equals that
of the panel launcher icons.
Comment 7 Ray Strode [halfline] 2007-03-29 14:54:04 EDT
So is the problem that the icons are too small, or that the icons don't look
good at a small size?

Matthias, do you remember why they needed to be shrunk?
Comment 8 Matthias Clasen 2007-03-29 16:24:35 EDT
It didn't resize properly before. And I believe it ended up not leaving room for
the focus rectangle. The upstream bug is

Comment 9 Joachim Frieben 2007-03-30 03:12:45 EDT
Well, as matter of fact, one gets used to the smaller icons as time goes by.
The "Desktop" icon in the down left corner actually looks crisper than before, 
probably due to a icon scaling problem in "FC5" and earlier releases. This 
observation is possibly interesting with respect to bug 223786.
Comment 10 Matthias Clasen 2007-04-17 23:42:06 EDT
Either way, I think we can close this now.

Note You need to log in before you can comment on or make changes to this bug.